Subject: New FSMs

From: "Steve Klein (254-5623)" <[email-masked]>
Date: Mon, 6 Jun 94 15:58:32 EDT

I was finally able to get the first version of the DLSw standard FSMs
on ibmstandards.cary.ibm.com.  The name of the file is fsm-dlsw-01.txt
and is available via anonymous ftp from the directory
/pub/standards/aiw/dlsw/connect (the new home of the connect stuff).

The changes are made indicated with a revision code of '3' in column one.
See the revision code description at the beginning of the file for a
summary of the changes.

The changes I made for circuit start collisions look a little different
from my initial proposal.  I created a new state (CIRCUIT_START) when
one has sent a CANUREACH_cs.  I also eliminated the SEARCH_PENDING state
from my separation of topology and circuit establishment proposal since
the CANUREACH_ex and ICANREACH_ex really aren't associated with a
circuit.

Please look them over and give me any comments you may have or problems
that you find.

Steve